#ifndef __AUDIO_MUSIC_H
#define __AUDIO_MUSIC_H

#include "definitions.h"

void MusicDoneCallback_ () ;

class Audio_Music
{
	private:
	Mix_Music *music ;

	public:
	Audio_Music () ;
	
	bool LoadMusic ( char *filename ) ;
	
	void PlayMusic ( int loops = 0 ) ;
	void PauseMusic () ;
	void UnPauseMusic () ;
	void StopMusic () ;
	bool MusicFinished () ;
	bool MusicPlaying () ;
	
	void SetVolume ( int volume ) ;
	int  GetVolume () ;
	
	void UnloadMusic () ;
} ;

#endif
