#ifndef __SPLASH_H
#define __SPLASH_H

#include "definitions.h"

#include "sprite.h"
#include "pax_list.h"

class Splash
{
	public:
	void Init ( char *t_pkg_filename ) ;
	
	void SetPercent ( float value ) ;
	
	void Free () ;
	
	private:
	PaxList::pax_item *item ;
	
	KrResourceVault *MiscVault ;
	Sprite *pb_border ;
	Sprite *pb_bar ;
	
	Audio_Sound *jingle ;
	Audio_Sound *finish ;
} ;

#endif
