#ifndef __VIDEO_OVERLAY
#define __VIDEO_OVERLAY

#include <SDL.h>

class Video_Overlay
{
	public:
	void Init () ;
	
	Uint32 GetOverlayMode () { return overlay_format ; } ;
	void   SetOverlayMode ( Uint32 value ) { overlay_format = value ; } ;
	
	void Draw ( SDL_Surface *virtual_display ) ;

	void Quit () ;
	
	private:
	void RGBtoYUV ( Uint8 *rgb, int *yuv, int monochrome, int luminance ) ;
	void __inline__ ConvertRGBtoYV12 ( SDL_Surface *s, Uint8 **o,
										Uint16 *pitches, SDL_Rect rect,
										int monochrome, int luminance ) ;
	void __inline__ ConvertRGBtoYUY2 ( SDL_Surface *s, Uint8 **o,
										Uint16 *pitches, SDL_Rect rect,
										int monochrome, int luminance ) ;
	SDL_Overlay *overlay ;
	Uint32 overlay_format ;
} ;

#endif
