#ifndef __HID_H
#define __HID_H

#include "keyboard.h"
#include "joystick.h"

class HID
{
	public:
	void Init () ;
	
	bool IsKeyboardEvent ( SDL_Event event ) ;
	bool IsJoystickEvent ( SDL_Event event ) ;
	bool EventFound ( SDL_Event event ) ;
	
	bool Left_up_pressed ( SDL_Event event ) ;
	bool Left_down_pressed ( SDL_Event event ) ;
	bool Left_left_pressed ( SDL_Event event ) ;
	bool Left_right_pressed ( SDL_Event event ) ;
	bool Left_fire_pressed ( SDL_Event event ) ;

	bool Left_up_released ( SDL_Event event ) ;
	bool Left_down_released ( SDL_Event event ) ;
	bool Left_left_released ( SDL_Event event ) ;
	bool Left_right_released ( SDL_Event event ) ;
	bool Left_fire_released ( SDL_Event event ) ;

	bool Right_up_pressed ( SDL_Event event ) ;
	bool Right_down_pressed ( SDL_Event event ) ;
	bool Right_left_pressed ( SDL_Event event ) ;
	bool Right_right_pressed ( SDL_Event event ) ;
	bool Right_fire_pressed ( SDL_Event event ) ;

	bool Right_up_released ( SDL_Event event ) ;
	bool Right_down_released ( SDL_Event event ) ;
	bool Right_left_released ( SDL_Event event ) ;
	bool Right_right_released ( SDL_Event event ) ;
	bool Right_fire_released ( SDL_Event event ) ;
	
	void Quit () ;
	
	private:
	Keyboard keyboard ;
	Joystick joystick ;
} ;

#endif
