#ifndef __KEYBOARD_H
#define __KEYBOARD_H

#include "definitions.h"

class Keyboard
{
	public:
	void Init () ;
	
	void ResetToDefaultsLeft () ;
	void ResetToDefaultsRight () ;
	
	SDLKey Left_up_key () ;
	SDLKey Left_down_key () ;
	SDLKey Left_left_key () ;
	SDLKey Left_right_key () ;
	SDLKey Left_fire_key () ;
	
	SDLKey Right_up_key () ;
	SDLKey Right_down_key () ;
	SDLKey Right_left_key () ;
	SDLKey Right_right_key () ;
	SDLKey Right_fire_key () ;
	
	void Quit () ;
	
	private:
	enum
	{
		KEY_UP,
		KEY_DOWN,
		KEY_LEFT,
		KEY_RIGHT,
		KEY_FIRE,
		KEY_NUM
	} ;
	
	SDLKey Left [ KEY_NUM ], Right [ KEY_NUM ] ;
} ;

#endif
