#ifndef __OSD_H
#define __OSD_H

#include "definitions.h"

class OSD
{
	public:
	void Init () ;
	
	void DisplayMessage ( char *message ) ;
	void HoldMessage () ;
	void UnholdMessage () ;
	bool MessageIsHold () ;
	
	void Draw () ;
	
	void Quit () ;
	
	private:
	KrEngine *engine ;	

	KrResourceVault *fontVault ;
	KrFontResource *font ;
	KrTextBox *textBox ;
	
	Uint32 current_ticks, old_ticks ;
	
	bool hold ;
} ;

#endif
